
## test
server.port=83

# mysql
spring.datasource.dynamic.datasource.master.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.dynamic.datasource.master.url=jdbc:mysql://120.46.83.155:2316/dads_candy?useUnicode=true&characterEncoding=utf-8&useSSL=false&allowPublicKeyRetrieval=true&nullCatalogMeansCurrent=true&useInformationSchema=true
spring.datasource.dynamic.datasource.master.username=babatang
spring.datasource.dynamic.datasource.master.password=pED5BjNbNR2BRymH
spring.datasource.dynamic.datasource.master.druid.keep-alive=true
spring.datasource.dynamic.strict=true



#########################################
# redis configuration
#########################################
spring.data.redis.database=3
spring.data.redis.host=localhost
spring.data.redis.port=6379
spring.data.redis.password=4008809192
spring.data.redis.timeout=10s
spring.data.redis.lettuce.pool.max-active=200
spring.data.redis.lettuce.pool.max-wait=-1ms
spring.data.redis.lettuce.pool.max-idle=10
spring.data.redis.lettuce.pool.min-idle=0


#########################################
# mybatis-plus configuration
#########################################
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
mybatis-plus.configuration.jdbc-type-for-null=null
mybatis-plus.global-config.banner=false
mybatis-plus.global-config.enable-sql-runner=true
mybatis-plus.global-config.db-config.id-type=ASSIGN_ID
mybatis-plus.global-config.db-config.logic-delete-field=DELETE_FLAG
mybatis-plus.global-config.db-config.logic-delete-value=DELETED
mybatis-plus.global-config.db-config.logic-not-delete-value=NOT_DELETE
mybatis-plus.mapper-locations=classpath*:vip/xiaonuo/**/mapping/*.xml
mybatis-plus.type-handlers-package=vip.xiaonuo.common.handler

wx.pay.payNotifyUrl=http://120.46.83.155:18999//api/biz/wx/notify
